Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 238390 - google-perftools has no support for PPC
Summary: google-perftools has no support for PPC
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: google-perftools
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-ppc
TreeView+ depends on / blocked
 
Reported: 2007-04-30 03:41 UTC by Tom "spot" Callaway
Modified: 2013-02-07 15:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-07 15:24:36 UTC


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-04-30 03:41:51 UTC
Google perftools has no support for PPC. It might be possible to use libunwind
for this in F7+, but I don't have the time nor the PPC skillset to test this.

Comment 1 David Woodhouse 2007-05-04 08:37:30 UTC
Gr. How is this supposed to come to the attention of the people who _do_ have
the skillset if you don't put it on the tracker like the rules say you MUST?

Comment 2 Tom "spot" Callaway 2008-02-19 19:20:54 UTC
Upstream has added ppc support, which they describe as "Better -- not perfect".
It fails to compile properly on ppc, though, so I'm leaving the ExcludeArch in
place.

Comment 3 Bug Zapper 2008-05-14 02:50:08 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Tom "spot" Callaway 2008-08-25 17:37:14 UTC
Now works on ppc, but not ppc64. ExcludeArch is only for ppc64 now.

Comment 5 Phil Knirsch 2012-01-13 19:58:04 UTC
Is this still relevant and/or the ppc64 code available from upstream?

Thanks & regards, Phil

Comment 6 Karsten Hopp 2013-02-07 15:24:36 UTC
This should have been closed long ago. None of the supported Fedora releases still includes google-perftools


Note You need to log in before you can comment on or make changes to this bug.